package OnlineShop.domain;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;

public class produkteLaden {

	public static boolean produkteLaden(ArrayList<Produkt> produkte) throws FileNotFoundException {
		Scanner sc = new Scanner(new File(
				"C:\\Users\\obaya\\git\\Programmierung2\\Programmierung2\\src\\OnlineShop\\domain\\produkte.csv"));

		int cnt = 0;
		while (sc.hasNextLine()) {
			String produkt = sc.nextLine();

			if (produkt.startsWith("Name"))
				continue;

			String[] spalten = produkt.split(";");
			spalten[2] = spalten[2].replaceAll(",", ".");
			spalten[3] = spalten[3].substring(0, spalten[3].indexOf(","));
			spalten[4] = spalten[4].substring(0, spalten[4].indexOf(","));

			produkte.add(new Produkt(spalten[0], spalten[1], Float.parseFloat(spalten[2]), Integer.parseInt(spalten[3]),
					Integer.parseInt(spalten[4])));
			cnt++;
		}

		sc.close();
		return true;
	}
}
